local composer = require ("composer")
local scene = composer.newScene()

local widget = require "widget"

local mainGroup
local tableSkins = {}


local function handleTouch(event)
    if (event.phase == "began") then
        if (event.target.id == "start") then
            composer.gotoScene( "scene", "fade", 250 )
        else
            print ("selected " .. event.target.id)

            composer.setVariable( "skinSelected", event.target.id )
        end
    end
    return true
end

local function createSkins()
    local numSkins = 3

    for i = 1, numSkins do
        local skin = display.newCircle( 0, 0, 50 )
        skin.id = i
        
        if (i == 1) then
            skin:setFillColor( 1, 0, 0 )

            skin.x = display.contentCenterX - skin.width * 2
        elseif (i == 2) then
            skin:setFillColor( 0, 1, 0 )

            skin.x = display.contentCenterX
        elseif (i == 3) then
            skin:setFillColor( 1, 1, 0 )

            skin.x = display.contentCenterX + skin.width * 2
        end
        skin.y = display.contentCenterY

        skin:addEventListener( "touch", handleTouch )

        mainGroup:insert(skin)
        table.insert( tableSkins, skin )
    end
end

function scene:create( event )
    mainGroup = self.view

    createSkins()

    local optionsButtonStart = 
    {
        shape = "rect",
        fillColor = { default = { 0, 0, 0 }, over = { 0, 0, 0 } },
        width = display.contentWidth / 6,
        height = display.contentHeight / 12,
        label = "Select",
        labelColor = { default = {1, 1, 1}, over = {1, 1, 0} },
        font = fontIngame,
        fontSize = display.contentHeight / 15,
        id = "start",
        onEvent = handleTouch,
    }
    local buttonStart = widget.newButton( optionsButtonStart )
    buttonStart.x = display.contentCenterX
    buttonStart.y = display.contentHeight - buttonStart.height / 2
    mainGroup:insert( buttonStart )
end

function scene:show( event )
    local phase = event.phase

    if ( phase == "will" ) then

    elseif ( phase == "did" ) then

    end
end

function scene:hide( event )
    local phase = event.phase

    if ( phase == "will" ) then
        
    elseif ( phase == "did" ) then
        
    end
end

function scene:destroy( event )
    
end

-- Listener setup
scene:addEventListener( "create", scene )
scene:addEventListener( "show", scene )
scene:addEventListener( "hide", scene )
scene:addEventListener( "destroy", scene )

return scene